summaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2010-04-22 17:52:22 -0700
committerRuss Cox <rsc@golang.org>2010-04-22 17:52:22 -0700
commit95219382926a5c2fcb0f9a3826aeaca2090be726 (patch)
tree64a933277eecbaa74ddae0588ef93e17bc73a25b /misc
parent302143c2ec4837224a35cbeab9b8586fa122a732 (diff)
downloadgolang-95219382926a5c2fcb0f9a3826aeaca2090be726.tar.gz
runtime: closures, defer bug fix for Native Client
Enable package tests for Native Client build. R=r CC=golang-dev http://codereview.appspot.com/957042
Diffstat (limited to 'misc')
-rwxr-xr-xmisc/nacl/naclrun15
1 files changed, 15 insertions, 0 deletions
diff --git a/misc/nacl/naclrun b/misc/nacl/naclrun
new file mode 100755
index 000000000..1cdcf876c
--- /dev/null
+++ b/misc/nacl/naclrun
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Copyright 2010 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# Run nacl binary in debug mode (allow file access)
+# and then grep away the chatter.
+# See ../../src/pkg/exp/nacl/README for more on
+# how to configure NaCl.
+
+nacl -d "$@" >/tmp/nacl.out.$$ 2>&1
+status=$?
+egrep -v 'DEBUG MODE ENABLED|^\[[0-9]+,' /tmp/nacl.out.$$
+rm -f /tmp/nacl.out.$$
+exit $status